11.1 update turned some games Japanese

Discussion in '3DS - Flashcards & Custom Firmwares' started by tigerino2, Sep 20, 2016.

  1. tigerino2
    OP

    tigerino2 Member

    Newcomer
    10
    2
    Apr 28, 2013
    Netherlands
    I recently updated my (Gateway) emunand to 11.1, and besides the gateway rom selection not working, some of the .cia games I had installed have magically switched from English to Japanese. I checked some others and it turns out it's only a handful of games that all seem to change their language based on the 3DS of the user (like Bravely Default, Bravely Second and Pokemon Picross). I managed to find the setting to change the language in some of them through the options, but that setting is missing for certain other games.

    I'm no expert, but could my locale have changed because of the update? I didn't do anything different than I did normally (update through the System Update in the Settings).

    If it helps I have an EUR 3DS, and I still have the E after the version number on the Settings screen.
    I use the Gateway card for most games (due to limited space on my SD card) and have CIAs installed for some small games and games that require an internet connection. Even after restoring the emunand to an older version and updating again I still get the same problem no matter how often I try.

    I do have the Homebrew Launcher with MenuHax installed that I use to boot into Gateway Mode, but that's all.

    EDIT: Gateway just released an update which solves this issue as well as fixing the rom selection menu for the flashcard to work with version 11.1. Can someone let me know how to change the name of this thread so I can mark it as solved? I looked but I couldn't find a way to edit it.
     
    Last edited by tigerino2, Sep 22, 2016
  2. Elayne

    Elayne Member

    Newcomer
    19
    4
    Jun 23, 2012
    Italy
    Mestre
    You could use LumaLocaleSwitcher to change them back into English.
     
  3. BADDINOROX99

    BADDINOROX99 GBAtemp Advanced Fan

    Member
    608
    221
    Sep 9, 2015
    United States
    same problem with my gateway cfw

    Sent from my Nexus 6 using Tapatalk
     
  4. tigerino2
    OP

    tigerino2 Member

    Newcomer
    10
    2
    Apr 28, 2013
    Netherlands
    Do I need to install Luma3DS for that or can I just use the Locale Switcher on its own? Which files from Luma does it require?
     
  5. Elayne

    Elayne Member

    Newcomer
    19
    4
    Jun 23, 2012
    Italy
    Mestre
    It's a standalone .cia. You can find it with a quick Google search.
     
  6. tigerino2
    OP

    tigerino2 Member

    Newcomer
    10
    2
    Apr 28, 2013
    Netherlands
    Thanks, I'll give that a shot then.
     
  7. LongTimeLurker

    LongTimeLurker GBAtemp Regular

    Member
    177
    61
    Aug 25, 2016
    Canada
  8. tigerino2
    OP

    tigerino2 Member

    Newcomer
    10
    2
    Apr 28, 2013
    Netherlands
    I've tried installing the LumaLocaleSwitcher cia and played around with it by changing the settings for Pokemon Picross (the only game I have installed at the moment for testing purposes on my 9.2 emunand. I downgraded it for the time being).

    While on 9.2 the game does display in English by default, I figured I could just change it to Japanese to test if it actually works. Now after some reading I figured out that it only adds some files to your SD card, which I assume will be used by Luma3DS to determine which region and language to run the game in. My guess is that since I use the Gateway emunand it just ignores those files when I boot the game, and it will only work when I boot the game through Luma3DS (which I don't have installed, I just used the CIA file)

    The documentation on GitHub also confirms my suspicions, stating:
    Does this mean that it won't do anything unless I install Luma3ds?
     
  9. bahamut920

    bahamut920 GBAtemp Fan

    Member
    443
    104
    Jan 23, 2009
    United States
    Try just manually changing your language settings in System Settings. If it's still set to English, some wires probably got crossed. Change it to some other language (it shouldn't matter which), save and reboot, then switch back to English. Remember, every time you exit System Settings, the machine reboots into sysNAND.
     
  10. tigerino2
    OP

    tigerino2 Member

    Newcomer
    10
    2
    Apr 28, 2013
    Netherlands
    I tried that, but it didn't work. Then I formatted the user data for the Emunand using the Format option in the settings, but after injecting a cia installer and installing Pokemon Picross again it was still in Japanese (updated Emunand to 11.1 again in the meantime).

    Anyone else got an idea how to fix this or should I just install Luma3DS and use that for CIA games, while using Gateway to run roms from the flashcard using sysnand (which is at 9.2, so it should be able to run most games)?
     
  11. Queno138

    Queno138 Ravens

    Member
    2,411
    782
    Sep 18, 2010
    Senegal
    Luigi's Dark Mansion
    It isn't the first time this happened with gateway.

    If you use an software update that their patches haven't caught up with,
    The 3DS becomes Japanese region (which is good to collect Japanese events.)

    If NTR still works for you, you can use the language emulator function to convert games to English, (without the need to convert to luma3ds)

    However NTR will need to be relaunched upon every system reset.

    NTR boot probably needs to be repatched for 11.1 firmware as well (I think it's floating somewhere in gbatemp)

    I'm suggesting this as a stop gap until gateway rolls out updates, if you don't wanna switch to luma3ds cfw.
     
    LongTimeLurker likes this.
  12. tigerino2
    OP

    tigerino2 Member

    Newcomer
    10
    2
    Apr 28, 2013
    Netherlands
    This might be a good moment to stop using the Gateway Emunand altogether...
    I can always boot into Gateway Mode on sysnand so I can run roms, so being less dependable on Gateway seems like a good thing. Luma3DS sounds promising with all the features it offers.

    EDIT:
    I just installed Luma3DS (using the Homebrew Launcher) and updated the emunand to 11.1. This time everything went as expected and the region of my emunand remained unchanged. Tried the LumaLocaleChanger and it works like it should now that I'm booting the emunand through Luma. I can still use the Gateway Launcher to boot into Gateway Mode on the Sysnand to run roms from my flashcard.

    Even if Gateway comes with an update in the coming days for the 11.1 firmware I think I'll just stay on Luma. My current setup works great, no need to go back to Gateway for the emunand.
     
    Last edited by tigerino2, Sep 21, 2016
    Queno138 and Elayne like this.
  13. tigerino2
    OP

    tigerino2 Member

    Newcomer
    10
    2
    Apr 28, 2013
    Netherlands
    Gateway just released an update for the 11.1 firmware. I tried it out and now when I use Gateway to launch into the Emunand my games aren't Japanese anymore. On top of that they also fixed the multirom selection menu on 11.1, so everything is working as it should again.